*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-image: linear-gradient(120deg,#e2b00c, #df4317);
    color: rgb(82, 61, 61);
    font-family: 'Poppins', sans-serif;
    min-height: 100vh;
}

header{
    font-size: 1.5rem;
}

header,
form{
    min-height: 20vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

form input, form button{
    padding: 0.5rem;
    font-size: 2rem;
    border: none;
    background: white;
}

form button{
    color: #cc6042;
    background: white;
    cursor: pointer;
    transition: all 0.3s ease;
}

form button:hover {
    background: #cc6042;
    color: white;
}
.todo-container {
    display:flex;
    justify-content: center;
    align-items: center;
}
.todo-list {
    min-width: 30%;
    list-style: none;
}
.todo {
    margin: 0.5rem;
    background-color: white;
    color: black;
    font-size: 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: all 0.5s ease;
}

.todo li {
    flex: 1;
}
.trash-btn, .complete-btn {
    background-color: #cc6042;
    color: white;
    border: none;
    padding: 1rem;
    cursor: pointer;
    font-size: 1rem;
}
.complete-btn {
    background: rgba(73, 204, 73);
}
.todo-item {
    padding: 0rem 0.5rem;
}

.fa-trash, .fa-check {
    pointer-events: none;
}

.completed {
    text-decoration: line-through;
    opacity: 0.5;
}

.fall {
    transform: translateY(8rem) rotateZ(20deg);
    opacity: 0;
}


select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: none;
    border: none;
}

.select {
    margin: 1rem;
    position: relative;
    overflow: hidden;
}
select {
    color: #cc6042;
    width: 10rem;
    cursor: pointer;
    padding: 1rem;
}
.select::after {
    content: "\25BC";
    position: absolute;
    background: #cc6042;
    top: 0;
    right: 0;
    padding: 1rem;
    pointer-events: none;
    transition: all 0.3s ease;
}

.select:hover::after {
    background: white;
    color: #cc6042;
}

